qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robbie Gemmell (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (QPID-7712) update the 'tested proton version' check prior to release
Date Fri, 17 Mar 2017 12:35:41 GMT

     [ https://issues.apache.org/jira/browse/QPID-7712?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robbie Gemmell updated QPID-7712:
---------------------------------
    Description: 
When building against the released Proton 0.17.0, the qpid-cpp master currently logs out:

{noformat}
-- Found Proton: optimized;/usr/lib64/libqpid-proton.so;debug;/usr/lib64/libqpid-proton.so
(found version "0.17.0")
CMake Warning at src/amqp.cmake:28 (message):
  Qpid proton 0.17.0 is not a tested version and might not be compatible,
  0.16 is highest tested; build may not work
{noformat}

That is because 0.16 was the latest available when qpid-cpp 1.36.0 went out. We should update
this check for 1.37.0 so that using it with Proton 0.17.0 does not generate a warning.

  was:
When building against the Proton master / 0.16.0 RC, the qpid-cpp master currently logs out:

{noformat}
-- Found Proton: <install-path>/lib64/libqpid-proton.so (found version "0.16.0")
CMake Warning at src/amqp.cmake:28 (message):
  Qpid proton 0.16.0 is not a tested version and might not be compatible,
  0.14 is highest tested; build may not work
{noformat}

That is because 0.14 was the latest available when qpid-cpp 1.35.0 went out. We should update
this check for 1.36.0 so that using it with Proton 0.16.0 does not generate a warning.


> update the 'tested proton version' check prior to release
> ---------------------------------------------------------
>
>                 Key: QPID-7712
>                 URL: https://issues.apache.org/jira/browse/QPID-7712
>             Project: Qpid
>          Issue Type: Task
>          Components: C++ Broker, C++ Client
>            Reporter: Robbie Gemmell
>            Assignee: Robbie Gemmell
>             Fix For: qpid-cpp-1.37.0
>
>
> When building against the released Proton 0.17.0, the qpid-cpp master currently logs
out:
> {noformat}
> -- Found Proton: optimized;/usr/lib64/libqpid-proton.so;debug;/usr/lib64/libqpid-proton.so
(found version "0.17.0")
> CMake Warning at src/amqp.cmake:28 (message):
>   Qpid proton 0.17.0 is not a tested version and might not be compatible,
>   0.16 is highest tested; build may not work
> {noformat}
> That is because 0.16 was the latest available when qpid-cpp 1.36.0 went out. We should
update this check for 1.37.0 so that using it with Proton 0.17.0 does not generate a warning.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message